Subject: Re: generic 802.11 stack

From: greg chesson <[email-masked]>
Date: Tue, 14 Sep 2004 17:51:52 -0700

Jeff Garzik wrote:
<snip>
> 
> 
> While I don't mind dual-licensing per se, I really dislike the 
> associated _technical_ crap that comes along with it, namely
> 
> * cross-OS compatibility wrappers
> * attempts to pretend that locking is _remotely_ similar between BSD and 
> Linux net stacks
> * use of non-Linux coding styles and memes
> * over-engineering and over-abstraction
> 

<snip>

I won't try to argue that these are not valid points -
except for maybe the last one because it is so subjective.
But not in this email.

I do argue that these points are not relevant to the question
of  whether or not a strict stack model of 802.11 management
and encapsulation procedures will suffice for anything more
than the most basic functionality.   That is an interesting question
that deserves an answer.

Personally, I think it will be necessary to have more shared information 
and procedures between
driver and 802.11 stack than is convenient or elegant in a strict stack 
arrangement.
  But, I've been wrong before.
Perhaps a fresh start with unbiased implementation will do something 
wonderful.
I look forward to seeing how a new implementation deals with the 
power-save packets
in the presence of qos, crypto, and fragmentation - all of which are 
necessary evils
if you want to pass wifi certification tests.

g